%undefine __cmake_in_source_build
# %global gitcommit_full ad0d6a26ef59652247322971753bf142231a703a
# %global gitcommit %(c=%{gitcommit_full}; echo ${c:0:7})

Name:           kdiff3
Version:        1.8.4
Release:        1%{?dist}
Summary:        Compare + merge 2 or 3 files or directories

License:        GPLv2
URL:            https://github.com/KDE/kdiff3
# Source0:        https://github.com/KDE/kdiff3/tarball/%{gitcommit_full}
Source0:        https://download.kde.org/stable/%{name}/%{name}-%{version}.tar.xz

BuildRequires:  cmake >= 3
BuildRequires:  gcc-c++
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  appstream-glib
BuildRequires:  kf5-kio-devel
BuildRequires:  kf5-kwidgetsaddons-devel
BuildRequires:  kf5-kparts-devel
BuildRequires:  kf5-kiconthemes-devel
BuildRequires:  kf5-kdoctools-devel
BuildRequires:  kf5-kcrash-devel
BuildRequires:  kf5-kcoreaddons-devel
BuildRequires:  kf5-ki18n-devel
BuildRequires:  kf5-kbookmarks-devel
BuildRequires:  Qt5PrintSupport-devel
#BuildRequires:  kf5-rpm-macros
BuildRequires:  kf5-extra-cmake-modules

Provides: mergetool

%description
KDiff3 is a program that
- compares and merges two or three input files or directories,
- shows the differences line by line and character by character (!),
- provides an automatic merge-facility and
- an integrated editor for comfortable solving of merge-conflicts
- has support for KDE-KIO (ftp, sftp, http, fish, smb)
- and has an intuitive graphical user interface.


%prep
#%autosetup -p1
%setup -q
#-n KDE-%{name}-%{gitcommit}

%build
#%cmake_kf5
#%cmake_build

install -d build
cd build
LDFLAGS="$LDFLAGS -z noexecstack"
%cmake \
        -DCMAKE_INSTALL_PREFIX=%{_prefix} \
        -DSYSCONF_INSTALL_DIR=%{_sysconfdir} \
%if "%{_lib}" == "lib64"
        -DLIB_SUFFIX=64 \
%endif
        ../

%{__make} -j1

%install
#%cmake_install

rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
        DESTDIR=$RPM_BUILD_ROOT \
        kde_htmldir=%{_kdedocdir} \
        kde_libs_htmldir=%{_kdedocdir}

#%find_lang %{name} --with-html --all-name
%find_lang %{name} --with-kde --all-name

%check
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/org.kde.%{name}.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/org.kde.%{name}.desktop

%files -f %{name}.lang
%license COPYING
%doc AUTHORS NEWS README
%{_bindir}/%{name}
%{_libdir}/plugins/kf5/kfileitemaction/kdiff3fileitemaction.so
%{_libdir}/plugins/kf5/parts/kdiff3part.so
%{_datadir}/metainfo/org.kde.%{name}.appdata.xml
%{_datadir}/applications/org.kde.%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svgz
%{_datadir}/kservices5/kdiff3part.desktop
%{_datadir}/kxmlgui5/%{name}
%{_datadir}/kxmlgui5/kdiff3part/kdiff3_part.rc
%{_mandir}/man1/%{name}.1.gz
%{_mandir}/*/man1/%{name}.1.gz


%changelog
* Mon Sep 05 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kdiff3.git;a=log;h=master

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 23d8279
- updated gettext BR

* Sat Oct 18 2014 Jan Palus <atler@pld-linux.org> cb09c5b
- up to 0.9.98
- patch no longer needed

* Wed May 15 2013 Jan Palus <jan.palus@gmail.com> 3bb1765
- up to 0.9.97
- add upstream patch to fix loading relative file paths

* Tue Jun 26 2012 Tomasz Pala <gotar@pld-linux.org> d1e616c
- damn, stop enumerating irrevelant support files

* Tue Jun 26 2012 Tomasz Pala <gotar@pld-linux.org> 5c48612
- s/dl.sourceforge/downloads.sourceforge/ for distfiles to work, mine did

* Mon Jun 25 2012 Tomasz Pala <gotar@pld-linux.org> bb35713
- upgraded to 0.9.96

* Fri Jan 07 2011 arvenil <arvenil@pld-linux.org> 6214d5d
- install kdiff3_part.rc into correct location (from fedora)

* Fri Jan 07 2011 arvenil <arvenil@pld-linux.org> e2f4695
- docbook fixes (from fedora)

* Fri Jan 07 2011 arvenil <arvenil@pld-linux.org> 6f77e8a
- install kdiff3_part.rc into correct location
- docbook fixes
- release 2

* Wed Dec 02 2009 sparky <sparky@pld-linux.org> db21c8b
- BR: automoc4, gettext-devel, qt4-build, qt4-qmake

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> bdd6d1c
- drop obsolete files

* Wed Apr 08 2009 Andrzej Zawadzki <zawadaa@gmail.com> 1dd50ef
- up to 0.9.95

* Sun Mar 01 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 580c554
- release 2

* Sun Mar 01 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 915d67c
- BR qtsvg

* Sun Mar 01 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 5df6216
- rel 1

* Sun Mar 01 2009 shadzik <shadzik@pld-linux.org> d100be6
- fix %files and remove locolor icons

* Sun Mar 01 2009 shadzik <shadzik@pld-linux.org> ea85e53
- qt4 BRs

* Sat Feb 28 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 5686781
- up to 0.9.94 (kde4); broken

* Fri Sep 21 2007 wolf <wolf@pld-linux.org> 035517a
- 0.9.92

* Thu Jun 14 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> bcd7f87
- rel 4

